Download it now!
Bug 94395 - line spacing change in paragraph style not displayed in Organizer
Summary: line spacing change in paragraph style not displayed in Organizer
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Jim Raykowski
URL:
Whiteboard: target:6.4.0
Keywords:
Depends on:
Blocks:
 
Reported: 2015-09-21 06:29 UTC by Ulrich Windl
Modified: 2019-07-27 07:58 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Screen Shot showing the "Text Body" changes relative to "Standard" (all German) (57.71 KB, image/jpeg)
2015-09-21 14:42 UTC, Ulrich Windl
Details
Screen Shot showing the line spacing in "Text Body" ("Textkörper" in German) (61.24 KB, image/jpeg)
2015-09-21 14:43 UTC, Ulrich Windl
Details
Screen shot showing the line spacing of "Standard" (60.60 KB, image/jpeg)
2015-09-21 14:47 UTC, Ulrich Windl
Details
Screen shot: Line spacing for default style (50.88 KB, image/png)
2016-11-08 13:26 UTC, Ulrich Windl
Details
Screen shot: 120% Line spacing for text body (54.35 KB, image/png)
2016-11-08 13:27 UTC, Ulrich Windl
Details
Screen shot: Organizer displaying no spacing changes for text body (47.90 KB, image/png)
2016-11-08 13:28 UTC, Ulrich Windl
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ulrich Windl 2015-09-21 06:29:44 UTC
Paragraph style "Text body" (Body text) features a 120% line spacing as compared to parapgraph style "Standard" (where it's based on). However "Oragnizer" does not display that change for "Text Body".
It seems a _lot_ of formatting stuff is broken recently in LibreOffice!
Comment 1 steve -_- 2015-09-21 06:47:38 UTC
Hi Ulrich,

which OS are you on? Also could you attach a test document to reproduce this with? What is Organizer? If you could post mroe detailed repro steps, I'm sure this bug will be fixed faster.

Did you try LO 5.x and see if the problem persists using that version?

For now setting to NEEDINFO. After providing additional info please set the bug back to UNCONFIRMED. Thanks
Comment 2 Ulrich Windl 2015-09-21 06:56:16 UTC
(In reply to  comment #1)
OS is Windows 7 64-bit, but I think it does not matter.
I don't htink a test document is needed, it's no obvious:
Just press the right mouse button of "text body" paragraph style in stylist, select "Modify", and see the tab "Organizer" (for English; in German it's "Verwalten"). Read the text below "Contains". Then switch to tab "Indents & Spacing" and see the line spacing.

(I guessed everybody knows the basic handling for paragraph styles so I was terse)

And no, I don't really want to try the next version of LibreOffice (v5); I'm getting tired of trying "next versions" that have more bugs than the previous versions. I'd like to see one version that does not have more bugs than the previous version.
Comment 3 Cor Nouws 2015-09-21 12:37:32 UTC
In 5.0.1.2 (Ubuntu 32 bits, fresh profile, clean doc - only one I looked at now) there is a "From bottom 0.25" displayed for Text body and nothing for Default.

Is that what you meant?
Comment 4 Ulrich Windl 2015-09-21 14:42:36 UTC
Created attachment 118901 [details]
Screen Shot showing the "Text Body" changes relative to "Standard" (all German)
Comment 5 Ulrich Windl 2015-09-21 14:43:33 UTC
Created attachment 118902 [details]
Screen Shot showing the line spacing in "Text Body" ("Textkörper" in German)
Comment 6 Ulrich Windl 2015-09-21 14:47:21 UTC
Created attachment 118903 [details]
Screen shot showing the line spacing of "Standard"

The changes displayed in attachment 118901 [details] suggest that the line spacing of "Textkörper" corresponds to that of "Standard". However attachment 118902 [details] and this attachment show that "Standard" uses plain "single" (100%) line spacing, while "Textkörper" uses 120% line spacing.
I hope it's clear now. I'm a little stuck between the different languages, not knowing all the phrases, but I think you can get it from the images and heir yellow marks.
Comment 7 Cor Nouws 2015-09-21 17:41:36 UTC
Thanks Ulrich, see it now.
Sorry that I missed it at the first time.
I see the problem in version 3.3.0 too.
Comment 8 QA Administrators 2016-11-08 10:34:19 UTC Comment hidden (obsolete)
Comment 9 Ulrich Windl 2016-11-08 13:25:15 UTC
As you could easily have checked, the problem still exists in Writer 5.1.5.2 (Windows build). I'll provide an English set of screen shots from the Linux (openSUSE 42.1) version.
Comment 10 Ulrich Windl 2016-11-08 13:26:18 UTC
Created attachment 128566 [details]
Screen shot: Line spacing for default style
Comment 11 Ulrich Windl 2016-11-08 13:27:19 UTC
Created attachment 128567 [details]
Screen shot: 120% Line spacing for text body
Comment 12 Ulrich Windl 2016-11-08 13:28:58 UTC
Created attachment 128568 [details]
Screen shot: Organizer displaying no spacing changes for text body
Comment 13 QA Administrators 2017-11-09 07:43:33 UTC Comment hidden (obsolete)
Comment 14 Cor Nouws 2017-12-29 20:41:41 UTC
still wrong in Version: 6.1.0.0.alpha0+
Build ID: a9b202a6b7000e7af34f2a639ca207122a3968bf
CPU threads: 4; OS: Linux 4.13; UI render: default; VCL: gtk2; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2017-12-26_23:09:36
Locale: nl-NL (nl_NL.UTF-8); Calc: group threaded
Comment 15 QA Administrators 2019-07-17 02:49:13 UTC Comment hidden (obsolete)
Comment 16 Ulrich Windl 2019-07-17 05:53:08 UTC
Still exists in 6.1.6.3.
Comment 17 Jim Raykowski 2019-07-21 01:33:29 UTC
Hi All, here is a patch to make line spacing show in the organizer tab page contains area. It also patches bug 126466. 

https://gerrit.libreoffice.org/#/c/76069/
Comment 18 Commit Notification 2019-07-27 03:12:59 UTC
Jim Raykowski committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/5f5bfddf5fe8bbcd77dbb040d0bf77d595c90f30%5E%21

tdf#94395 Show paragraph style line spacing in organizer contains

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.